itpp::Uniform_RNG Class Reference
Random Number Generation

Uniform distribution. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Uniform_RNG (double min=0, double max=1.0)
| Constructor. Set min, max and seed.
void | setup (double min, double max)
| set min and max
void | get_setup (double &min, double &max) const
| get parameters
double | operator() ()
| Get one sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.
double | sample ()
| Get a Uniformly distributed [0,1) sample.
void | sample_vector (int size, vec &out)
| Get a Uniformly distributed [0,1) vector.
void | sample_matrix (int rows, int cols, mat &out)
| Get a Uniformly distributed [0,1) matrix.

## Detailed Description

Uniform distribution.

Definition at line 354 of file random.h.

The documentation for this class was generated from the following files:

- itpp/base/random.h
- itpp/base/random.cpp

Generated on Thu Mar 20 2014 12:26:46 for IT++ by Doxygen 1.8.6